/*
 * Copyright (c) 2014. by Peter Schmitz (ptsmail01@gmail.com)
 *
 * This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc.,
 *     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package plg.websocket.commands.parameter;

import com.google.gson.GsonBuilder;
import org.jetbrains.annotations.NotNull;
import plg.websocket.Payload;

import java.util.HashSet;
import java.util.Set;

/**
 * Created by Peter on 03.04.2014.
 * Part of Sketchlink Plugin for IntelliJ
 */
public class ShowRequestParameter extends ArtifactIDParameter implements Payload {
    @NotNull
    public Set<String> clients = new HashSet<>();


    @Override
    public String toString() {
        return new GsonBuilder().serializeNulls().create().toJson(this);
    }


}
