/*
 * Copyright (c) 2014. by Peter Schmitz (ptsmail01@gmail.com)
 *
 * This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License along
 *     with this program; if not, write to the Free Software Foundation, Inc.,
 *     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package plg.sketchlinks;

/**
 * Created by Peter on 13.03.14.
 * Part of Sketchlink Plugin for IntelliJ
 * <p/>
 * An anchor that is not directly part of the current project,
 * i.e. sketches, their markers or source code of a different project.
 * <p/>
 * Note: Even though source code of external project are not previewable, they should be in the future.
 */
public interface RemoteLinkAnchor<T extends SketchMetadata> extends LinkAnchor, MetadataOwner<T>, PropertyChangeSupported {



}
